# Generated by Django 4.2.9 on 2024-04-20 15:33

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('categoria', models.CharField(max_length=150, unique=True, verbose_name='Descripción de categoría')),
                ('codigo', models.CharField(max_length=100, unique=True, verbose_name='Código')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Categorías',
            },
        ),
        migrations.CreateModel(
            name='Estudio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('estudio', models.CharField(max_length=150, unique=True, verbose_name='Descripción de estudio')),
            ],
            options={
                'verbose_name_plural': 'Estudio',
            },
        ),
        migrations.CreateModel(
            name='GrupoArea',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('area', models.CharField(max_length=150, unique=True, verbose_name='Descripción del área')),
                ('codigo', models.CharField(max_length=100, unique=True, verbose_name='Abreviatura')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Áreas',
            },
        ),
        migrations.CreateModel(
            name='PacienteCritico',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('nombre', models.CharField(max_length=150, unique=True, verbose_name='Nombre completo de paciente crítico')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Pacientes críticos',
            },
        ),
        migrations.CreateModel(
            name='Planilla',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('fecha', models.DateField(verbose_name='Fecha de planilla')),
                ('observaciones', models.TextField(blank=True, null=True, verbose_name='Descripción de categoría')),
                ('estadoEquipos', models.TextField(blank=True, null=True, verbose_name='Estado de equipos')),
                ('estadoAreas', models.TextField(blank=True, null=True, verbose_name='Estado de las areas')),
                ('pacientesCriticos', models.TextField(blank=True, null=True, verbose_name='Pacientes críticos')),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.categoria', verbose_name='Categoria')),
            ],
            options={
                'verbose_name_plural': 'Planillas',
            },
        ),
        migrations.CreateModel(
            name='Turno',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('turno', models.CharField(max_length=150, unique=True, verbose_name='Descripción de turno')),
                ('codigo', models.CharField(max_length=100, unique=True, verbose_name='Código')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Turnos de atención',
            },
        ),
        migrations.CreateModel(
            name='Tupla',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('cantidad', models.IntegerField(verbose_name='Cantidad atentida')),
                ('estudio', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.estudio', verbose_name='Estudio')),
                ('grupoArea', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.grupoarea', verbose_name='Área')),
                ('planilla', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.planilla', verbose_name='planilla')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Tuplas',
            },
        ),
        migrations.CreateModel(
            name='Profesional',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('nombre', models.CharField(max_length=450, unique=True, verbose_name='Nombre completo')),
                ('cargo', models.CharField(max_length=450, unique=True, verbose_name='Cargo')),
                ('contacto', models.IntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(79999999)], verbose_name='Numero de celular')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Grupos de estudio',
            },
        ),
        migrations.CreateModel(
            name='PlanillaFooter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('observaciones', models.TextField(blank=True, null=True, verbose_name='Descripción de categoría')),
                ('estadoEquipos', models.TextField(blank=True, null=True, verbose_name='Estado de equipos')),
                ('estadoAreas', models.TextField(blank=True, null=True, verbose_name='Estado de las areas')),
                ('pacientesCriticos', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='core.pacientecritico', verbose_name='Paciente crítico')),
                ('planilla', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.planilla', verbose_name='planilla')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Footer de Planillas',
            },
        ),
        migrations.AddField(
            model_name='planilla',
            name='turno',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='core.turno', verbose_name='Turno'),
        ),
        migrations.AddField(
            model_name='planilla',
            name='ucreacion',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name='HistoricalTupla',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('cantidad', models.IntegerField(verbose_name='Cantidad atentida')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('estudio', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.estudio', verbose_name='Estudio')),
                ('grupoArea', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.grupoarea', verbose_name='Área')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('planilla', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.planilla', verbose_name='planilla')),
                ('ucreacion', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical tupla',
                'verbose_name_plural': 'historical Tuplas',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalPlanilla',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('fecha', models.DateField(verbose_name='Fecha de planilla')),
                ('observaciones', models.TextField(blank=True, null=True, verbose_name='Descripción de categoría')),
                ('estadoEquipos', models.TextField(blank=True, null=True, verbose_name='Estado de equipos')),
                ('estadoAreas', models.TextField(blank=True, null=True, verbose_name='Estado de las areas')),
                ('pacientesCriticos', models.TextField(blank=True, null=True, verbose_name='Pacientes críticos')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('categoria', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.categoria', verbose_name='Categoria')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('turno', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.turno', verbose_name='Turno')),
                ('ucreacion', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical planilla',
                'verbose_name_plural': 'historical Planillas',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='GrupoEstudio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.BooleanField(default=True, verbose_name='Estado de registro')),
                ('fcreacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('fmodificacion', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('umodificacion', models.IntegerField(blank=True, null=True)),
                ('grupoEstudio', models.CharField(max_length=150, unique=True, verbose_name='Descripción de grupo de estudio')),
                ('codigo', models.CharField(max_length=100, unique=True, verbose_name='Abreviatura')),
                ('color', models.CharField(blank=True, max_length=100, null=True, verbose_name='Color')),
                ('ucreacion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Grupos de estudio',
            },
        ),
        migrations.AddField(
            model_name='estudio',
            name='grupoEstudio',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.grupoestudio', verbose_name='Grupo'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='profesional',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='core.profesional', verbose_name='Profesional a cargo'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='ucreacion',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
    ]
